# 32/64bit spec-file
#

Name: qt-gstreamer
Summary: C++ bindings for GStreamer with a Qt-style API
Version: 1.2.0
Release: %mkrel 1
License: LGPLv2+
Url: http://gstreamer.freedesktop.org/wiki/QtGStreamer
Group: Graphical desktop/KDE4
BuildRequires: cmake
BuildRequires: %{_lib}qt4-devel
BuildRequires: automoc
BuildRequires: %{_lib}boost-devel
BuildRequires: bison
BuildRequires: flex
BuildRequires: doxygen
BuildRequires: %{_lib}gstreamer1.0-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-build
Source0: http://gstreamer.freedesktop.org/src/qt-gstreamer/%{name}-%{version}.tar.xz

%description
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files
%defattr(-,root,root)
%_libdir/gstreamer-1.0/libgstqtvideosink.so
%_libdir/qt4/imports/QtGStreamer/

#-------------------------------------------------------------------

%define major 0
%define libname %mklibname %name %{major}

%package -n %{libname}
Summary: C++ bindings for GStreamer with a Qt-style API
Group: System/Libraries

%description -n %{libname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

%files -n %{libname}
%defattr(-,root,root)
%_libdir/libQtGLib-2.0.so.%{major}
%_libdir/libQtGStreamer-1.0.so.%{major}
%_libdir/libQtGStreamerUi-1.0.so.%{major}
%_libdir/libQtGStreamerUtils-1.0.so.%{major}

%_libdir/libQtGLib-2.0.so.%{version}
%_libdir/libQtGStreamer-1.0.so.%{version}
%_libdir/libQtGStreamerUi-1.0.so.%{version}
%_libdir/libQtGStreamerUtils-1.0.so.%{version}

#--------------------------------------------------------------------

%define develname %mklibname -d %name

%package -n %{develname}
Summary: Development files for QtGstreamer
Group: Development/Libraries
Requires: %libname 
Provides: %name-devel = %version-%release

%description -n %{develname}
QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
plus some helper classes for integrating GStreamer better in Qt
applications.

This package contains files for developing applications using 
QtGstreamer.

%files -n %{develname}
%defattr(-,root,root)
%_libdir/lib*.so
%_libdir/pkgconfig/*.pc
%_includedir/QtGStreamer
%_libdir/cmake/QtGStreamer/*.cmake
#--------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_qt4 -DQTGSTREAMER_TESTS=ON -DLIB_INSTALL_DIR=%{_libdir}
%make

%install
rm -rf %{buildroot}

%makeinstall_std -C build

%clean
rm -rf %buildroot


%changelog
* Tue Mar 10 2015 bb <bb> 1.2.0-1pclos2015
- update

* Tue Feb 05 2013 pinoc <vogtpet at gmail.com> 0.10.2-1pclos2013
- 0.10.2
- added codegen patch

* Tue Jul 19 2011 Ertain <sirius-C at iname.com> 0.10.1-1pclos2011
- Initial package based upon Mandriva package
